package org.jboss.security.jndi;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import java.security.Principal;
import java.security.PrivilegedAction;
import org.jboss.security.SecurityAssociation;
import org.jboss.security.jndi.SecurityAssociationActions;

class SetPrincipalInfoAction implements PrivilegedAction {
  Principal principal;
  
  Object credential;
  
  SetPrincipalInfoAction(Principal principal, Object credential) {
    this.principal = principal;
    this.credential = credential;
  }
  
  public Object run() {
    SecurityAssociation.setCredential(this.credential);
    this.credential = null;
    SecurityAssociation.setPrincipal(this.principal);
    this.principal = null;
    return null;
  }
}
